#!/bin/bash

maker_folder=`dirname $0`
projecttype=$1
foldername=$2

if [[ -z $projecttype ]]
then
    echo "need a project type"
    exit
fi

if [ "$projecttype" = "help" ]
then
    cd $maker_folder
    ls -d1 */ | sed "s/\/$//g"
    exit
fi

if [[ -d $maker_folder/$projecttype ]]
then
    echo "project type AVAILABLE"
else
    echo "project type not available"
    exit
fi

if [[ -z $foldername ]]
then
    echo "need a folder name"
    exit
fi

#mkdir $foldername
git init $foldername
folderpath=`dirname $foldername`

echo "created $foldername at $folderpath"

cp -R $maker_folder/$projecttype/. $folderpath/$foldername

cd $foldername

for i in `grep -rl '$foldername' .`;
do
    echo "replacing folder name in $i";
    sed -i "s/\$foldername/$foldername/" $i;
done;


echo "Don't forget to run \"npm init\" as well as \"npm install\""
echo "done."

